console.log(d3)

//size of container
const sizes = {
  width: 1800,
  height: 450,
}

//margins container
const margin = {
  top: 50,
  bottom: 50,
  left: 50,
  right: 50,
}

const x = d3.scaleBand()
const y = d3.scaleLinear()
  
const yAxis = (g) => {
    g.attr("transform", `translate(${margin.left}, 0)`)
        .call(d3.axisLeft(y).ticks())
        .attr("font-size", "20px")
    }

const xAxis = (g) => {
      g.attr("transform", `translate(0,${sizes.height - margin.bottom})`)
        .call(d3.axisBottom(x).tickFormat((i) => chosenData[i].key))
        .attr("font-size", "20px")
    }

const svg = d3.select("body").append("svg")
    .attr("width", sizes.width - margin.left - margin.right)
    .attr("height", sizes.height - margin.top - margin.bottom)
    .append("g")

svg.append("g")
.attr("class", "xAxis")

svg.append("g")
.attr("class", "yAxis")

const url = "https://gist.githubusercontent.com/sahitj001/26850a99179af9f089a879f00cc7daad/raw/d276697fc13e60c07f2bec4078da9148f74dcf79/parkingData.json"

d3.json(url, (err, data) => {
  console.log(err)
replayData(data)
}) 

function replayData(data){
	
 const slices = []
 for(let i = 0; i < data.length; i++){
   slices.push(data.slice(0,i+1))
 }
  slices.forEach((slice, index) => {
  setTimeout(() => {
  draw(slice)},index * 300)
  })
}
function draw(data){
      x.domain(d3.range(chosenData.length))
      .range([margin.left, sizes.width - margin.right])
      .padding(0.1)


    	y.domain([0, d3.max(chosenData, (d) => d.value)])
      .range([sizes.height - margin.bottom, margin.top])
  
  		svg.select(".xAxis")
  		.call(xAxis)
  		svg.select(".yAxis")
  		.call(yAxis)
  
      const bars = svg.selectAll("rect")
      .data(data)
      
      bars.exit()
  		.remove()
  		
  		bars.enter()
  		.append("rect")
  		.append("rect")
      .attr("class", "rect")
      .attr("x", (d, i) => x(i))
      .attr("y", (d) => y(d.value))
      .attr("title", (d) => d.value)
      .attr("height", (d) => y(0) - y(d.value))
      .attr("width", x.bandwidth())
}




